## sweets-pyxpcom 1.9.2-1.3+5.5trisquel1

=== debian/changelog ===
sweets-pyxpcom (1.9.2-1.3+5.5trisquel1) brigantia; urgency=low

  * Compiled for Trisquel On a Sugar TOAST

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 May 2012 19:26:47 +0000

sweets-pyxpcom (1.9.2-1.3) unstable; urgency=low

  * Zero Sugar auto-generated changelog

 -- Sugar Labs Open Build Service <obs@sugarlabs.org>  Sun, 06 May 2012 22:30:04 +0000
