=== debian/control ===
Source: sweets-pyxpcom
Section: misc
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Homepage: http://developer.mozilla.org/en/PyXPCOM
Build-Depends: debhelper, python, g++, make, pkg-config, python-dev, zip, xulrunner-1.9.2, xulrunner-1.9.2-dev

Package: sweets-pyxpcom
Depends: python, xulrunner-1.9.2
Architecture: any
Provides: 
Conflicts: 
Replaces: 
Description: Python interface for mozilla XPCOM library
 Python interface for mozilla XPCOM library
