=== debian/rules ===
#!/usr/bin/make -f

patch-stamp:
	
	
	touch $@

configure-stamp: patch-stamp
	dh_testdir
	 mkdir objdir && cd objdir && sdkdir=`pkg-config --variable=sdkdir libxul` && sh ../configure --with-libxul-sdk=$$sdkdir `test -e $$sdkdir/bin/nspr-config && echo --without-system-nspr || echo --with-system-nspr` CFLAGS="$(CFLAGS)" && cd -
	touch $@

build: configure-stamp
	dh_testdir
	 make -C objdir

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	 _dst=$(CURDIR)/debian/sweets-pyxpcom/.dest//opt/sweets/pyxpcom/lib && install -d $${_dst} && cp objdir/dist/bin/*.so $${_dst}/ && _dst=$(CURDIR)/debian/sweets-pyxpcom/.dest//opt/sweets/pyxpcom/python && install -d $${_dst} && cp -r objdir/dist/bin/python/* $${_dst}/ && _dst=$(CURDIR)/debian/sweets-pyxpcom/.dest//opt/sweets/pyxpcom/include && install -d $${_dst} && cp objdir/dist/include/* $${_dst}/ && ln -s . $${_dst}/pyxpcom && _dst=$(CURDIR)/debian/sweets-pyxpcom/.dest//opt/sweets/pyxpcom/idl && install -d $${_dst} && cp objdir/dist/idl/* $${_dst}/
	python $(CURDIR)/debian/sweet_install.py move deb $(CURDIR)/debian/sweet_files $(CURDIR)/debian/sweets-pyxpcom /opt/sweets/pyxpcom '' '' > sweets-pyxpcom.files
	[ -f sweets.recipe ] && spec=sweets.recipe || spec=$(CURDIR)/debian/sweets.recipe; cp $$spec $(CURDIR)/debian/sweets-pyxpcom/.dest/sweets.recipe
	echo /opt/sweets/pyxpcom/sweets.recipe >> sweets-pyxpcom.files
	python $(CURDIR)/debian/sweet_install.py move deb $(CURDIR)/debian/sweets-pyxpcom/.dest $(CURDIR)/debian/sweets-pyxpcom /opt/sweets/pyxpcom '' '' >> sweets-pyxpcom.files
	rm -rf $(CURDIR)/debian/sweets-pyxpcom/.dest

clean:
	dh_testdir
	dh_testroot
	dh_clean configure-stamp patch-stamp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_install -i
	dh_link -i
	dh_strip -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_install -s
	dh_link -s
	dh_strip -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean install binary-indep binary-arch binary
