## sweets-pyxpcom 1.9.2-2.5trisquel1

=== debian/changelog ===
sweets-pyxpcom (1.9.2-2.5trisquel1) taranis; urgency=low

  * Compiled for Trisquel On a Sugar TOAST

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Feb 2011 02:31:36 +0000

sweets-pyxpcom (1.9.2-2.5) unstable; urgency=low

  * Zero Sugar auto-generated changelog

 -- Sugar Bazaar <bazaar@sugarlabs.org>  Wed, 09 Feb 2011 03:19:06 +0000
