## sweets-pyxpcom 1.9.2-2.5trisquel2

=== debian/changelog ===
sweets-pyxpcom (1.9.2-2.5trisquel2) slaine; urgency=low

  * Compiled for Trisquel On a Sugar TOAST

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 22 May 2011 23:05:45 +0000
