=== debian/control ===
Source: sweets-pyxpcom
Section: universe/x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Homepage: http://developer.mozilla.org/en/PyXPCOM
Build-Depends: debhelper, python, g++, make, pkg-config, python-dev, xulrunner-1.9.2-dev, zip

Package: sweets-pyxpcom
Depends: python, xulrunner-1.9.2
Architecture: any
Description: Python interface for mozilla XPCOM library
 Python interface for mozilla XPCOM library
