=== debian/rules ===
#!/usr/bin/make -f

patch-stamp:
	
	touch $@

configure-stamp: patch-stamp
	dh_testdir
	mkdir objdir && cd objdir && sh ../configure --with-libxul-sdk=`pkg-config --variable=sdkdir libxul` --with-system-nspr CFLAGS="$(CFLAGS)" && cd -
	touch $@

build: configure-stamp
	dh_testdir
	make -C objdir

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	_dst=$(CURDIR)/debian/sweets-pyxpcom/0bs.dist///lib && install -d $${_dst} && cp objdir/dist/bin/*.so $${_dst}/ && _dst=$(CURDIR)/debian/sweets-pyxpcom/0bs.dist///python && install -d $${_dst} && cp -r objdir/dist/bin/python/* $${_dst}/ && _dst=$(CURDIR)/debian/sweets-pyxpcom/0bs.dist///include && install -d $${_dst} && cp objdir/dist/include/* $${_dst}/ && _dst=$(CURDIR)/debian/sweets-pyxpcom/0bs.dist///idl && install -d $${_dst} && cp objdir/dist/idl/* $${_dst}/
	python $(CURDIR)/debian/sweet_install.py move deb $(CURDIR)/debian/sweets-pyxpcom/0bs.dist $(CURDIR)/debian/sweets-pyxpcom/opt/sweets/pyxpcom '' '' > sweets-pyxpcom.files
	python $(CURDIR)/debian/sweet_install.py move deb $(CURDIR)/debian/sweet_files $(CURDIR)/debian/sweets-pyxpcom/opt/sweets/pyxpcom '' '' >> sweets-pyxpcom.files
	chmod 0755 $(CURDIR)/debian/sweets-pyxpcom/opt/sweets/pyxpcom/*.run 2>/dev/null || true
	rm -rf $(CURDIR)/debian/sweets-pyxpcom/0bs.dist

clean:
	dh_testdir
	dh_testroot
	dh_clean configure-stamp patch-stamp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_install -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_install -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean install binary-indep binary-arch binary
